{
  "$schema": "http://json-schema.org/draft-07/schema#",
  "properties": {
    "apiVersion": {
      "type": "string"
    },
    "kind": {
      "type": "string"
    },
    "metadata": {
      "type": "object"
    },
    "spec": {
      "properties": {
        "gitrepoName": {
          "nullable": true,
          "type": "string"
        },
        "image": {
          "nullable": true,
          "type": "string"
        },
        "interval": {
          "nullable": true,
          "type": "string"
        },
        "policy": {
          "properties": {
            "alphabetical": {
              "nullable": true,
              "properties": {
                "order": {
                  "nullable": true,
                  "type": "string"
                }
              },
              "type": "object"
            },
            "semver": {
              "nullable": true,
              "properties": {
                "range": {
                  "nullable": true,
                  "type": "string"
                }
              },
              "type": "object"
            }
          },
          "type": "object"
        },
        "secretRef": {
          "nullable": true,
          "properties": {
            "name": {
              "default": "",
              "type": "string"
            }
          },
          "type": "object",
          "x-kubernetes-map-type": "atomic"
        },
        "suspend": {
          "type": "boolean"
        },
        "tagName": {
          "nullable": true,
          "type": "string"
        }
      },
      "required": [
        "image",
        "interval"
      ],
      "type": "object"
    },
    "status": {
      "properties": {
        "canonicalImageName": {
          "type": "string"
        },
        "conditions": {
          "items": {
            "properties": {
              "lastTransitionTime": {
                "type": "string"
              },
              "lastUpdateTime": {
                "type": "string"
              },
              "message": {
                "type": "string"
              },
              "reason": {
                "type": "string"
              },
              "status": {
                "type": "string"
              },
              "type": {
                "type": "string"
              }
            },
            "required": [
              "status",
              "type"
            ],
            "type": "object"
          },
          "type": "array"
        },
        "lastScanTime": {
          "format": "date-time",
          "type": "string"
        },
        "latestDigest": {
          "type": "string"
        },
        "latestImage": {
          "type": "string"
        },
        "latestTag": {
          "type": "string"
        },
        "observedGeneration": {
          "format": "int64",
          "type": "integer"
        }
      },
      "type": "object"
    }
  },
  "type": "object"
}
